Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface MetaAttributeSource

    public interface MetaAttributeSource

Describes incoming `MetaAttribute` values. This is only from `hbm` via the `<meta/>` element(s).

Method Summary
`String` | `getName()` Obtain the supplied meta-attribute name
`String` | `getValue()` Obtain the supplied meta-attribute value.
`boolean` | `isInheritable()` Is the meta-attribute value inheritable?

Method Detail

### getName

    String getName()

  Obtain the supplied meta-attribute name

  Returns:
    The meta-attribute name

### getValue

    String getValue()

  Obtain the supplied meta-attribute value.

  Returns:
    The meta-attribute value

### isInheritable

    boolean isInheritable()

  Is the meta-attribute value inheritable?

  Returns:
    Is the value inheritable?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.